%define modname addons

Summary: Elastix Addons 
Name:    elastix-%{modname}
Version: 2.0.0
Release: 6
License: GPL
Group:   Applications/System
Source0: %{modname}_%{version}-%{release}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Prereq: elastix >= 2.0
Prereq: chkconfig, php-soap
Requires: yum

%description
Elastix Addons

%prep
%setup -n %{modname}

%install
rm -rf $RPM_BUILD_ROOT

# Files provided by all Elastix modules
mkdir -p    $RPM_BUILD_ROOT/var/www/html/
mv modules/ $RPM_BUILD_ROOT/var/www/html/

# Additional (module-specific) files that can be handled by RPM
mkdir -p $RPM_BUILD_ROOT/opt/elastix/
mv setup/elastix-moduleconf $RPM_BUILD_ROOT/opt/elastix/elastix-updater
mkdir -p $RPM_BUILD_ROOT/etc/init.d/
mv $RPM_BUILD_ROOT/opt/elastix/elastix-updater/elastix-updaterd $RPM_BUILD_ROOT/etc/init.d/
chmod +x $RPM_BUILD_ROOT/etc/init.d/elastix-updaterd

# The following folder should contain all the data that is required by the installer,
# that cannot be handled by RPM.
mkdir -p    $RPM_BUILD_ROOT/usr/share/elastix/module_installer/%{name}-%{version}-%{release}/
mv setup/   $RPM_BUILD_ROOT/usr/share/elastix/module_installer/%{name}-%{version}-%{release}/
mv menu.xml $RPM_BUILD_ROOT/usr/share/elastix/module_installer/%{name}-%{version}-%{release}/

%post

# Run installer script to fix up ACLs and add module to Elastix menus.
elastix-menumerge /usr/share/elastix/module_installer/%{name}-%{version}-%{release}/menu.xml

# The installer script expects to be in /tmp/new_module
mkdir -p /tmp/new_module/%{modname}
cp -r /usr/share/elastix/module_installer/%{name}-%{version}-%{release}/* /tmp/new_module/%{modname}/
chown -R asterisk.asterisk /tmp/new_module/%{modname}

php /tmp/new_module/%{modname}/setup/installer.php
rm -rf /tmp/new_module

# Install elastix-updaterd as a service
chkconfig --add elastix-updaterd
chkconfig --level 2345 elastix-updaterd on

%clean
rm -rf $RPM_BUILD_ROOT

%preun
if [ $1 -eq 0 ] ; then # Validation for desinstall this rpm
  echo "Delete Addons menus"
  elastix-menuremove "%{modname}"
fi

%files
%defattr(-, asterisk, asterisk)
%{_localstatedir}/www/html/*
/usr/share/elastix/module_installer/*
/opt/elastix/elastix-updater/*
/etc/init.d/elastix-updaterd

%changelog
* Thu Jun 17 2010 Eduardo Cueva <ecueva@palosanto.com> 2.0.0-6
- Now show the process install and different errors when there is a trouble

* Mon Jun 7 2010 Eduardo Cueva <ecueva@palosanto.com> 2.0.0-5
- Bug about the connection with web services is fixed, before when client do not get any connection with the web services the list of addons appear empty.
- New information about YUM install.
- Improve in send of the data, better organization

* Thu Apr 15 2010 Bruno Macias <bmacias@palosanto.com> 2.0.0-4
- Fixed bug dont install module developer and drive the session data install in database local addons.
- Improve the look module addons.

* Thu Mar 25 2010 Eduardo Cueva <ecueva@palosanto.com> 2.0.0-3
- solved problem where process YUM was always listening if there is a process to install. Now The daemon only turn on YUM for listening process and turn off when no process.

* Fri Mar 19 2010 Eduardo Cueva <ecueva@palosanto.com> 2.0.0-2
- Change url web services to webservice.elastix.org

* Tue Mar 16 2010 Bruno Macias <bmacias@palosanto.com> 2.0.0-1
- Initial version.
